package ru.alphatech.icfpc.policy;

import java.util.ArrayList;

import ru.alphatech.icfpc.game.AbstractPolicy;
import ru.alphatech.icfpc.game.Batch;
import ru.alphatech.icfpc.game.Run;
import ru.alphatech.icfpc.game.Slot;

/**
 * Задать значение слота
 * @author akhmetovlz
 *
 */
public class SetSlotValuePolicy extends AbstractPolicy{

	int targetSlotIndex = -1;
	int value = -1;
	
	public SetSlotValuePolicy(int targetSlot, int value) {
		this.targetSlotIndex = targetSlot;
		this.value = value;
	}
	
	@Override
	public ArrayList<Batch> getBatches() {
		Slot targetSlot = Run.getProponent().getSlot(targetSlotIndex);
		return numberIntoSlotField(targetSlot, value);
	}

}
